{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% if data.startDate is defined and data.endDate is defined %}

  {% set is_end_further = data.startDate < data.endDate %}

  {% set start_date = data.startDate | datize %}
  {% set end_date = data.endDate | datize %}

  <div class="box box-primary box-solid">

    <div class="box-header with-border">
      <h4 class="box-title">
        <span class="fa fa-clock-o"></span>&nbsp;Date{{ is_end_further ? 's' : '' }} de l'évènement
      </h4>
    </div>

    <div class="box-body text-center">
      {% if is_end_further %}
        <span style="font-size: 1.3em">
          {{ start_date | substr(-4) == end_date | substr(-4) ? data.startDate | datize(false) : start_date }}
        </span>
        au
        <span style="font-size: 1.3em">
         {{ end_date }}
        </span>
      {% else %}
        <span style="font-size: 1.3em">{{ start_date }}</span>
      {% endif %}
    </div>

  </div>
{% endif %}